Qyra
ReferenceSCIM

Replace group

Update a group's attributes completely

PUT/api/v1/scim/v2/Groups/{id}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
idstringYesSCIM ID of the group to update

Request body

{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "displayName": "string",
  "members": [
    {
      "value": "string",
      "display": "string"
    }
  ]
}

Responses

200 — Ok

{
  "schemas": [
    "string"
  ],
  "id": "string",
  "meta": {
    "version": "string",
    "location": "string",
    "lastModified": "2024-01-01T00:00:00.000Z",
    "created": "2024-01-01T00:00:00.000Z",
    "resourceType": "Group"
  },
  "displayName": "string",
  "members": [
    {
      "value": "string",
      "display": "string"
    }
  ]
}

204 — Success

{
  "schemas": [
    "string"
  ],
  "id": "string",
  "meta": {
    "version": "string",
    "location": "string",
    "lastModified": "2024-01-01T00:00:00.000Z",
    "created": "2024-01-01T00:00:00.000Z",
    "resourceType": "Group"
  },
  "displayName": "string",
  "members": [
    {
      "value": "string",
      "display": "string"
    }
  ]
}

400 — Bad Request

{
  "status": "string",
  "detail": "string",
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "scimType": "invalidFilter"
}

404 — Not found

{
  "status": "string",
  "detail": "string",
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "scimType": "invalidFilter"
}